
D4Science Infrastructure - Incident #13066

DataMiner algorithm on FARM/PerformFISH-KPIs not working

Dec 19, 2018 12:44 PM - Massimiliano Assante

Status: Closed Start date: Dec 19, 2018

Priority: Urgent Due date:  

Assignee: Gianpaolo Coro % Done: 100%

Category: Application Estimated time: 0.00 hour

Target version: UnSprintable   

Infrastructure: Production   

Description

The error is: the computation 49d696e5-4809-461c-910d-f1457064da97 of Performfish Data Validator V2 has failed.

java.lang.RuntimeException

in this specific case the computation were mean to run on 

http://dataminer4-p-d4s.d4science.org//wps/RetrieveResultServlet?id=49d696e5-4809-461c-910d-f1457064da97

which reported this xml

<wps:ExecuteResponse xmlns:wps="http://www.opengis.net/wps/1.0.0" xmlns:xsi="http://www.w3.org/200

1/XMLSchema-instance" xmlns:ows="http://www.opengis.net/ows/1.1" xsi:schemaLocation="http://www.op

engis.net/wps/1.0.0 http://schemas.opengis.net/wps/1.0.0/wpsExecute_response.xsd" serviceInstance=

"http://dataminer4-p-d4s.d4science.org:80//wps/WebProcessingService" xml:lang="en-US" service="WPS

" version="1.0.0" statusLocation="http://dataminer4-p-d4s.d4science.org:80//wps/RetrieveResultServ

let?id=49d696e5-4809-461c-910d-f1457064da97">

<wps:Process wps:processVersion="1.1.0">

<ows:Identifier>

org.gcube.dataanalysis.wps.statisticalmanager.synchserver.mappedclasses.transducerers.PERFORMFISH_

DATA_VALIDATOR_V2

</ows:Identifier>

<ows:Title>PERFORMFISH_DATA_VALIDATOR_V2</ows:Title>

</wps:Process>

<wps:Status creationTime="2018-12-19T12:40:06.957+01:00">

<wps:ProcessFailed>

<ows:ExceptionReport version="1.0.0">

<ows:Exception exceptionCode="NoApplicableCode">

<ows:ExceptionText>java.lang.RuntimeException</ows:ExceptionText>

</ows:Exception>

</ows:ExceptionReport>

</wps:ProcessFailed>

</wps:Status>

</wps:ExecuteResponse>

Related issues:

Related to D4Science Infrastructure - Incident #13029: Private algorithm disa... Closed Dec 12, 2018 Dec 19, 2018

History

#1 - Dec 19, 2018 12:45 PM - Massimiliano Assante

Adding @roberto.cirillo@isti.cnr.it to check if it's a misconfiguration

#2 - Dec 19, 2018 12:47 PM - Massimiliano Assante

- File Screenshot 2018-12-19 at 12.46.57.png added

Clearly this reflects on the PerformFISH KPI Form Submission app as well

#3 - Dec 19, 2018 01:22 PM - Gianpaolo Coro

The error indicates that the algorithm is no more installed on the production DataMiners. I'm going to reinstall it. Roberto could it be related to the

disappearing algorithms issue?
http://dataminer4-p-d4s.d4science.org//wps/RetrieveResultServlet?id=49d696e5-4809-461c-910d-f1457064da97


#4 - Dec 19, 2018 02:38 PM - Roberto Cirillo

Gianpaolo Coro wrote:

The error indicates that the algorithm is no more installed on the production DataMiners. I'm going to reinstall it. Roberto could it be related to the

disappearing algorithms issue?

 It's possible but we need further investigation.

#5 - Dec 19, 2018 02:45 PM - Gianpaolo Coro

- Status changed from New to In Progress

After the re-installation it is working. Could you check please?

#6 - Dec 19, 2018 02:46 PM - Gianpaolo Coro

- Status changed from In Progress to Feedback

#7 - Dec 19, 2018 02:51 PM - Massimiliano Assante

- Status changed from Feedback to Closed

Yes it works now, i'll relate the ticket to the other one talking about algorithms "desaparecidos"

#8 - Dec 19, 2018 02:51 PM - Massimiliano Assante

- Related to Incident #13029: Private algorithm disappeared in SoBigDataLab VRE added

Files

Screenshot 2018-12-19 at 12.46.57.png 400 KB Dec 19, 2018 Massimiliano Assante
